Name:           systemd-ui
Url:            http://www.freedesktop.org/wiki/Software/systemd
Version:        3
Release:        1%{?dist}
License:        GPLv2+
Group:          Applications/System
Summary:        Graphical front-end for systemd
Source0:        http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
BuildRequires:  vala
BuildRequires:  pkgconfig
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel
BuildRequires:  libgee-devel
BuildRequires:  libnotify-devel
BuildRequires:  desktop-file-utils
Requires:       desktop-notification-daemon
Obsoletes:      systemd-gtk < 45

%description
Graphical front-end for systemd. It provides a simple user interface to manage
services, and a graphical agent to request passwords from the user.

The systemadm program has received little development or maintenance in the
last few years, because development focus has shifted to command-line tools
like systemctl and systemd-analyze. Nevertheless, despite awkward graphical
design, systemadm remains the only graphical application for systemd unit
management. YMMV.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original  \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/systemadm.desktop

%files
%{_bindir}/systemadm
%{_bindir}/systemd-gnome-ask-password-agent
%{_datadir}/applications/systemadm.desktop
%{_mandir}/man1/systemadm.*

%changelog
* Thu Dec 19 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 3-1
- version 3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Kay Sievers <kay@redhat.com> - 2-1
- version 2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Michal Schmidt <mschmidt@redhat.com> - 1-2
- Providing systemd-gtk is not necessary, because no package Requires it.
- Bump the Obsoletes to cover F17 builds of systemd-gtk. If we rebase F17 to v45
  and keep systemd-gtk, we'll need to bump yet more.

* Sun Mar 18 2012 Kay Sievers <kay@redhat.com> - 1-1
- initial release after split-off from systemd package
